Bug 1201183 - puppetclass host count does not count hosts though a hostgroup
Summary: puppetclass host count does not count hosts though a hostgroup
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: Tomer Brisker
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-12 09:15 UTC by Tomer Brisker
Modified: 2019-08-15 04:21 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 13:58:06 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)
puppet classes host count (62.38 KB, image/png)
2015-05-04 11:36 UTC, Tazim Kolhar
no flags Details

Description Tomer Brisker 2015-03-12 09:15:29 UTC

Comment 1 Tomer Brisker 2015-03-12 09:15:31 UTC
Created from redmine issue http://projects.theforeman.org/issues/844

Comment 4 Tazim Kolhar 2015-04-30 09:35:24 UTC
hi

please provide verification steps

thanks

Comment 5 Tomer Brisker 2015-05-04 07:01:18 UTC
Verification steps:
1. Create host.
2. Create hostgroup. 
3. Assign puppetclass to hostgroup.
4. Assign host to hostgroup.

This should also work when the puppet class is assigned to a config group that is assigned to the host or the hostgroup.

Order of steps should be changed to verify that this works no matter what order they are taken. 

Expected result - puppetclass host count should be 1.

Comment 6 Tazim Kolhar 2015-05-04 11:34:58 UTC
VERIFIED:

# rpm -qa | grep foreman
puppet-foreman_scap_client-0.3.3-8.el7sat.noarch
ruby193-rubygem-foreman_docker-1.2.0.10-1.el7sat.noarch
ruby193-rubygem-foreman-tasks-0.6.12.4-1.el7sat.noarch
rubygem-hammer_cli_foreman_discovery-0.0.1.8-1.el7sat.noarch
foreman-libvirt-1.7.2.18-1.el7sat.noarch
ruby193-rubygem-foreman_bootdisk-4.0.2.12-1.el7sat.noarch
foreman-compute-1.7.2.18-1.el7sat.noarch
foreman-ovirt-1.7.2.18-1.el7sat.noarch
ruby193-rubygem-foreman_discovery-2.0.0.12-1.el7sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3.4-1.el7sat.noarch
foreman-debug-1.7.2.18-1.el7sat.noarch
foreman-postgresql-1.7.2.18-1.el7sat.noarch
qe-sat6-rhel71.usersys.redhat.com-foreman-client-1.0-1.noarch
qe-sat6-rhel71.usersys.redhat.com-foreman-proxy-1.0-1.noarch
ruby193-rubygem-foreman_gutterball-0.0.1.9-1.el7sat.noarch
foreman-1.7.2.18-1.el7sat.noarch
foreman-gce-1.7.2.18-1.el7sat.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el7sat.noarch
rubygem-hammer_cli_foreman-0.1.4.10-1.el7sat.noarch
foreman-selinux-1.7.2.13-1.el7sat.noarch
foreman-vmware-1.7.2.18-1.el7sat.noarch
rubygem-hammer_cli_foreman_bootdisk-0.1.2.6-1.el7sat.noarch
foreman-proxy-1.7.2.4-1.el7sat.noarch
qe-sat6-rhel71.usersys.redhat.com-foreman-proxy-client-1.0-1.noarch
ruby193-rubygem-foreman-redhat_access-0.1.0-1.el7sat.noarch



steps:
1. Create host.
2. Create hostgroup. 
3. Assign puppetclass to hostgroup.
4. Assign host to hostgroup.

This should also work when the puppet class is assigned to a config group that is assigned to the host or the hostgroup.

Order of steps should be changed to verify that this works no matter what order they are taken. 

Expected result - puppetclass host count should be 1

screenshot attached

Comment 7 Tazim Kolhar 2015-05-04 11:36:03 UTC
Created attachment 1021726 [details]
puppet classes host count

Comment 8 Bryan Kearney 2015-08-11 13:32:35 UTC
This bug is slated to be released with Satellite 6.1.

Comment 9 Bryan Kearney 2015-08-12 13:58:06 UTC
This bug was fixed in version 6.1.1 of Satellite which was released on 12 August, 2015.


Note You need to log in before you can comment on or make changes to this bug.